TAAS - Feature #121

Document Search
12/08/2022 10:24 AM - Anil KV

Status: Reopen Bugs Coding Done Start date: 12/09/2022
Priority: Low Due date:

Assignee: Greeshma S % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Document Search

Description

Coding Document Search

History

#1 - 12/08/2022 12:51 PM - Junaid M
- File 2-tsModel.ts added

#2 - 12/08/2022 02:29 PM - Junaid M

- Status changed from New to Open

- Assignee changed from Junaid M to Shanto Shaji
- % Done changed from 0 to 10

#3 - 12/08/2022 02:31 PM - Shanto Shaji
- Status changed from Open to Ready for Coding
- % Done changed from 10 to 20

#4 - 12/08/2022 02:31 PM - Shanto Shaji
- Status changed from Ready for Coding to Open
- % Done changed from 20 to 10

#5 - 12/08/2022 05:00 PM - Junaid M
- File 4-CsControllerFile.cs added

#6 - 12/08/2022 05:10 PM - Junaid M
- File 3-CsFile.cs added

#7 - 12/08/2022 06:14 PM - Junaid M
- File sql.sql added

#8 - 12/09/2022 02:06 PM - Shanto Shaji

- Status changed from Open to Coding Started

- Start date changed from 12/08/2022 to 12/09/2022
- % Done changed from 10 to 40

#9 - 12/13/2022 11:23 AM - Shanto Shaji
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#10 - 01/09/2023 12:42 PM - Shanto Shaji
To Do
Red Color Row For Deleted Document On Grid

#11 - 01/24/2023 02:57 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.FIX ERROR ON BRANCH

(SHOWING ERROR MESSAGE WHILE CHOOSING BRANCH)
2.DONT ALLOW UNTICK TWO CHECK BOXES AT SAME TIME
(DELETED & ACTIVE)

#12 - 02/17/2023 10:21 AM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#13 - 02/17/2023 05:09 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.FIX ERRORS ON DEPARTMENT, BRANCH

(42601: syntax error at or near ")"

2.REMOVE "PENCIL" ICON FROM DELETED DOCUMENTS

3.SET VALIDATIONS ON DATE PICKER

(INVALID DATE,SET RANGE)

Could not convert string to DateTime: -000001-12-31T18:06:32.000Z. Path 'mdIDocumentSearch.datPeriodFrom’, line 1, position 308.

#14 - 02/18/2023 04:19 PM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#15 - 02/28/2023 05:18 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Add precision on grid

2.Fix bugs on "Posting Status" selection box

(Allow to choose posting status)

3.Fix bugs on Check box

(Allow to search Active, Reversed & Deleted documents separately )

#16 - 03/01/2023 03:37 PM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#17 - 03/01/2023 05:00 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Created/Modified date filter not working

2.Fix bugs on posting status

(If User uncheck all status > it must change to default)
3.Fix error on Amount range

(42601: syntax error at or near "' || ")

#18 - 03/29/2023 04:51 PM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#19 - 05/13/2023 05:39 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****

1.Set Module multi selection box to choose document modules only
(list modules which have to permission for create docs)

2.Set proper alignment on accounts Code and Name

(Grid)

3.Change Amount column head

(to Amount in QAR)

#20 - 05/15/2023 01:37 PM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#21 - 06/10/2023 06:11 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Fix error on amount range -

(Documents not showing on default search)
2.Remove batch no. from GUI

#22 - 06/12/2023 12:11 PM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#23 - 06/12/2023 06:43 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Set alignment on drop down label toggle

2.Attach all document modules on Module Multi selection box
3.Fix bugs on File No. Drop down label

(Spell Check)

#24 - 06/13/2023 02:16 PM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#25 - 06/27/2023 05:52 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.CHANGE PHONENUMBER INTO NO.
2.Remove Quotation NO.

#26 - 07/05/2023 12:37 PM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60
#27 - 08/21/2023 12:49 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.SHOWING {} ERROR IN SEARCH
2.RE-ARRANGE MODULES THAT ONLY RELATED WITH DOCUMENTS

#28 - 08/21/2023 05:17 PM - Seema Mathew

- Tested By changed from unnikannan S to Seema Mathew

ISSUE FOUNDED-

1.CANNOT READ PROPERTIES OF UN DEFINED- {}

#29 - 08/23/2023 11:17 AM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#30 - 09/15/2023 06:33 PM - unnikannan S

Seema Mathew wrote in #note-28:
ISSUE FOUNDED-

1.CANNOT READ PROPERTIES OF UN DEFINED- {}
*CONNECT MODULE WITH PRINT

#31 - 09/23/2023 01:59 PM - Seema Mathew
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED****

1.EDIT MODE IS NOT WORKING.
2.ENABLE HEADER FILTER IS NOT PARTY & BRANCH.

#32 - 09/25/2023 11:44 AM - Seema Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

testing done

#33 - 09/25/2023 05:01 PM - Seema Mathew
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

#34 - 09/25/2023 05:05 PM - Seema Mathew

>Seema-Mathew wrote-ir#note-32:
testing-deone

#35 - 09/27/2023 10:13 AM - Junaid M

- Assignee changed from Shanto Shaji to Baseem Shan

#36 - 10/07/2023 03:28 PM - Seema Mathew

Seema Mathew wrote in #note-34:

>Seema-Mathew wrote-in#note-32:
testing-done
Seema Mathew wrote in #note-34:

-> Seema Mathew wrote in #note-32:

#37 - 10/10/2023 10:56 AM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#38 - 12/29/2023 03:50 PM - unnikannan S
Ul CHANGES

1.CHANGE POSTING STATUS INTO STATUS AND GROUP WISE DOCUMENT AND POSTING STATUS (REFER LEDGER STATEMENT)

#39 - 02/22/2024 03:22 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S
ISSUE FOUNDED

1.CHANGE IN AMOUNT VALUE IN LIST WHILE SAVING A DOC WITH DECIMAL VALUE
NOTE :- Amounts from sale is getting saved with wrong precision to document table.
#40 - 02/22/2024 04:55 PM - Baseem Shan

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#41 - 02/27/2024 12:49 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.SHOW ONLY REVERSED DOC DATAS IN CASE CHOOSING STATUS OF REVERSED DOC MULTY SELECT SELECTION ONLY

#42 - 03/05/2024 05:33 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#43 - 03/06/2024 10:14 AM - unnikannan S
TESTING DONE

#44 - 03/09/2024 06:02 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.SHOWING DELETED DOCS WITHOUT CHOOSING DELETE OPTION FROM STATUS
2.SHOW DELETED DOCS ALONG WITH ACTIVE DOCS WHILE CHOOSING OPTION ALONG WITH THEM

#45 - 03/11/2024 07:24 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70
#46 - 03/12/2024 11:43 AM - unnikannan S
TESTING DONE

#47 - 06/26/2024 03:24 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED
FIXED - 1.Show XO Document Amount In Ul
#48 - 07/02/2024 09:44 AM - Baseem Shan

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#49 - 07/04/2024 07:07 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Missing Paid Cheque Return Amount In List
NB:Connectivity On Paid Cheque Module

#50 - 07/10/2024 12:52 PM - unnikannan S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#51 - 07/19/2024 02:23 PM - Anonymous

- Priority changed from Normal to Low

#52 - 07/19/2024 02:26 PM - Avinash MS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

GUI Change

ADDED - Add Hyperlink in the Cheque Activity Doc No Column.

#53 - 07/23/2024 10:40 AM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#54 - 09/20/2024 10:31 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

NOT A BUG - Data showing when 'created at' date is before 'period date'.

#55 - 09/20/2024 06:55 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#56 - 10/08/2024 03:13 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

FIXED - 1.Fix The Working Of Narration And E-Mail Wise Search

#57 - 10/10/2024 09:58 AM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#58 - 10/23/2024 04:39 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

FIXED - 1.PAYMENT AND RECEIPT DOCUMENTS ARE NOT LOADS IN RECEIPT+ AND PAYMENT+

#59 - 10/25/2024 12:15 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#60 - 10/25/2024 12:24 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

FIXED - 1. Doc No: field should always be in uppercase.

#61 - 10/25/2024 03:18 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#62 - 10/30/2024 12:23 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1.ASSET PURCHASE DOCUMENTS ARE NOT LOAD IN ASSET PURCHASE MODULE

#63 - 11/05/2024 09:37 AM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#64 - 11/11/2024 02:56 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

FIXED -- 1.If from date is entered the to date field should automatically show current date (if only entered from date is before current date)

#65 - 11/12/2024 12:38 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
#66 - 11/15/2024 11:39 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#67 - 11/21/2024 10:42 AM - Arathy PS
- Status changed from Reopen Bugs Testing Done to New Changes

- % Done changed from 90 to 50

NEW CHANGE

NOT NEEDED 1-Add-anew-option-PNR-Ne:atfilene-tabel =>'PNR no'is in for tickets/ vouchers (Supp Docs), not in documents.

#68 - 11/25/2024 02:53 PM - Arathy PS

- Status changed from New Changes to Reopen Bugs

ISSUE FOUND

FIXED -- 1. Not showing active documents when we select active status along with deleted status.

#69 - 11/26/2024 01:15 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#70 - 11/30/2024 11:17 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#71 - 11/30/2024 03:13 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

FIXED - 1. Error message when just a decimal is entered in the amount range.

FIXED - 2. Not showing the result when a document with multiple party is searched using the second party. -> Fixed by Athira as a Common Work
by adding party ids into arbRelatedPartylds array in tbl_document

FIXED - 3. Not showing search results when adding a party to the field

4. Not showing party when reconciliation (bank) documents are shown.

#72 - 01/02/2025 02:35 PM - Junaid M
NEW CHANGES

DONE - 1. Change Party to Dropdown Label. Add "Accounts Includes".
DONE - 2. In Query check in related_ids field if "Accounts Includes" is chosen case

#73 - 01/07/2025 12:55 PM - Arathy PS
NEW CHANGES

DONE - 1. In the module field only one sale,receipt,refund and payment is needed and while selecting it data from both modules with same name
should be shown.

#74 - 01/23/2025 04:48 PM - Arathy PS
- File clipboard-202501231559-etxck.png added

ISSUE FOUND

FIXED - 1. Each sale documents appears more than one times depending on the no: of items in the sale.
Document Search

Period™ Branch*
wuy
# DocMNo Date Party Currency Amount | Branch Reference
1 INV/013 23/01/2025 CUSD03: AJAZZ AMEER ALAM QAR 31200 BROOT: Main
2 | mvo13 23/01/2025  CUS003: AIAZZ AMEER ALAM QAR 31200 BROOT: Main
3 INV/012 23/01/2025 CUSD02: AASHIQ AHAD RAZA SAR 600.00  BROOT: Main
4 | vtz 23/01/2025  CUS02: AASHIQ AHAD RAZA SAR 60000 BROOT: Main
5 | mwort 23/01/2025  CUSO04: AAHIR ANSAL AMAAN AED 164000  BROOT: Main
6 | mvo11 23/01/2025  CUSO04: AAHIR ANSAL AMAAN AED 164000 BROOT: Main
7 INVO10 23/01/2025  CUS003: AIAZZ AMEER ALAM AED 102000 BROOT: Main
8 1NV/009 23/01/2025 CUSD02: AASHIQ AHAD RAZA QAR 1022.00 BROO1: Main
9 INV/002 23/01/2025  CUS002: AASHIQ AHAD RAZA QAR 234000 BROOT: Main
10 1NV/002 23/01/2025 CUSD02: AASHIQ AHAD RAZA QAR 234000  BROOT: Main
1 INv/008 22/01/2025  CUS005: AADHIR HAMEED INMAN QAR 210000 BROOT: Main
12 INV/007 22/01/2025 CUSD02:: AASHIQ AHAD RAZA QAR 160.00 BROO1: Main
13 INV/006 22/01/2025  CUS005: AADHIR HAMEED INMAN QAR 60000 BROOT: Main
14 INV/00S 22/01/2025  SUPOD4: Supplier QAR 131000 BROOT: Main
15 INV/004 22/01/2025  CUS002: AASHIQ AHAD RAZA QAR 105000  BROOT:: Main
16 INV/003 22/01/2025  CUS003: AIAZZ AMEER ALAM QAR 124000 BROOT: Main
17 INV/003 22/01/2025  CUSO03: AJAZZ AMEER ALAM QAR 124000  BROOT: Main
18 INV/001 22/01/2025  VRCOO1: Virtual Card QAR 102500  BROOT: Main

#75 - 02/03/2025 11:33 AM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#76 - 03/07/2025 12:57 PM - Arathy PS

- File clipboard-202503071141-fqwd1.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- Assignee changed from Baseem Shan to Shilpa Pavithran

- % Done changed from 70 to 50

ISSUE FOUND

1. Documents from Receipt are not showing in ledger currency.
2. Amount is missing with certain documents (Currency is different from base currency)

ravvise Document Search

Narration

&

AR YA T TN SR AR AR N R AR R

%N

Period® Branch”
Party* Department  Account
Created At - Phone No~ -
Reference- ~ File No~ =
Status | Active T -
PPN
#  DocMo Date | Party Currency Amount | Branch Reference
1 RV/006 07/03/2025  CUS004: ABDUL SALAM KHAN QAR 200.00 | BROD1: Main
2 RV/005 07/03/2025  CUS003:z ANWAR BIN AALAM QAR 000 | BROOT: Main
SIS0 CUS003: ANWAR BN AALAM TR TOO00 | BRO0T= Mt
4 RV/003 07/03/2025  CUS003:z ANWAR BIN AALAM QAR 1000.00 | BROOT: Main
5 RV/001 04/03/2025  CUSO01: ARHAAN ABDUL SALAM QAR 500,00 | BRODT: Main

> Document Search
--> Need 2 column for document number.
--> Main Document No(Hide), Document Number

> In Print need 2 column | Main Document No(Hide), Document Number

#77 - 03/18/2025 10:16 AM - Shilpa Pavithran

05/03/2025

DecNe~ | RV

Created By~
Module

Amount Range

Narration

5% %

%N

“

910




- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#78 - 03/21/2025 12:05 PM - Arathy PS

- Assignee changed from Shilpa Pavithran to Greeshma S

#79 - 03/21/2025 12:08 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

NEW CHANGES

1. In the filter section below file no:
--consider: multi select box, Main doc, Sharing/sub doc
-- Discuss with anil while start working

2. In the grid add another column Shared amount and show the shared amount of invoices there.

#80 - 03/22/2025 05:23 PM - Greeshma S
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#81 - 05/02/2025 10:50 AM - Arathy PS
- File clipboard-202505021050-rmagm.png added
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1. When doc is AR shared and then deleted then the shared doc no: is still there while original doc is not showing.

Document Search

Doc No Date Party Currency Amount | Branch Reference Narration

#
1 INV/007E1 02/05/2025  CUS002: ASHIQUE ASIF KHAN QAR 1000.00 | BROO1: Main & I
2 | INV/006 30/04/2025  CUS004: Customer QAR 500.00  BROO1: Main 4
3 INV/005 30/04/2025  CUS004: Customer QAR 1000.00 | BROO1: Main &
4 INV/003 30/04/2025  CUS001: ASLAM ANHAR KHAN QAR 1100.00  BROO1: Main &
5 INV/002 30/04/2025  CUS003: ANSAAR ASLAM SHAH QAR 200,00 | BROOT: Main &
6 | INV/0O1 30/04/2025  CUS001: ASLAM ANHAR KHAN QAR 1000.00 = BROO1: Main &
7 INV/004 30/03/2025  CUS00T: ASLAM ANHAR KHAN AR 3000.00 | BROOT: Main &

#82 - 05/02/2025 12:09 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

Files

2-tsModel.ts 2.26 KB 12/08/2022 Junaid M
4-CsControllerFile.cs 16.4 KB 12/08/2022 Junaid M
3-CsFile.cs 17.5 KB 12/08/2022 Junaid M
sql.sql 10.3 KB 12/08/2022 Junaid M
clipboard-202501231559-etxck.png 168 KB 01/23/2025 Arathy PS
clipboard-202503071141-fqwd1.png 113 KB 03/07/2025 Arathy PS
clipboard-202505021050-rmagm.png 127 KB 05/02/2025 Arathy PS
